<template>
  <div class="mb56 clearfix">
    <h2 class="title_cate">
      <span>Phụ kiện - Gear</span>
    </h2>
    <div class="list-product list-product_5item row">
      <ProductItemGrid
        v-for="product in gear.products"
        :key="product.id"
        :product="product"
      />
    </div>
    <div class="view-more view-more__border">
      <nuxt-link to="/phu-kien">
        Xem tất cả
      </nuxt-link>
    </div>
  </div>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'ProductPhukien',
  components: {
    ProductItemGrid: () => import('~/components/Products/ProductItemGrid'),
  },
  props: {
    gear: {
      type: Object,
      default: null,
    },
  },
  data() {
    return {}
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>

<style></style>
